# Interface TokenMessenger

#### Hierarchy

- BaseContract
  - TokenMessenger

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:353

#####
Index

### Properties

acceptOwnership
addLocalMinter
addRemoteTokenMessenger
depositForBurn
depositForBurnWithCaller
filters
handleReceiveMessage
interface
localMessageTransmitter
localMinter
messageBodyVersion
owner
pendingOwner
remoteTokenMessengers
removeLocalMinter
removeRemoteTokenMessenger
replaceDepositForBurn
rescueERC20
rescuer
transferOwnership
updateRescuer

### Methods

connect
getEvent
getFunction
listeners
on
once
queryFilter
removeAllListeners
waitForDeployment

## Properties

### acceptOwnership

acceptOwnership: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:396

### addLocalMinter

addLocalMinter: TypedContractMethod<[newLocalMinter: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:398

### addRemoteTokenMessenger

addRemoteTokenMessenger: TypedContractMethod<[domain: BigNumberish, tokenMessenger: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:404

### depositForBurn

depositForBurn: TypedContractMethod<[amount: BigNumberish, destinationDomain: BigNumberish, mintRecipient: BytesLike, burnToken: AddressLike], [bigint], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:410

### depositForBurnWithCaller

depositForBurnWithCaller: TypedContractMethod<[amount: BigNumberish, destinationDomain: BigNumberish, mintRecipient: BytesLike, burnToken: AddressLike, destinationCaller: BytesLike], [bigint], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:421

### filters

filters: {
DepositForBurn: TypedContractEvent<ethers_contracts.TokenMessenger.DepositForBurnEvent.InputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputObject>;
DepositForBurn(uint64,address,uint256,address,bytes32,uint32,bytes32,bytes32): TypedContractEvent<ethers_contracts.TokenMessenger.DepositForBurnEvent.InputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputObject>;
LocalMinterAdded: TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterAddedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputObject>;
LocalMinterAdded(address): TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterAddedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputObject>;
LocalMinterRemoved: TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputObject>;
LocalMinterRemoved(address): TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputObject>;
MintAndWithdraw: TypedContractEvent<ethers_contracts.TokenMessenger.MintAndWithdrawEvent.InputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputObject>;
MintAndWithdraw(address,uint256,address): TypedContractEvent<ethers_contracts.TokenMessenger.MintAndWithdrawEvent.InputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputObject>;
OwnershipTransferStarted: TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputObject>;
OwnershipTransferStarted(address,address): TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputObject>;
OwnershipTransferred: TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferredEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputObject>;
OwnershipTransferred(address,address): TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferredEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputObject>;
RemoteTokenMessengerAdded: TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputObject>;
RemoteTokenMessengerAdded(uint32,bytes32): TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputObject>;
RemoteTokenMessengerRemoved: TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputObject>;
RemoteTokenMessengerRemoved(uint32,bytes32): TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputObject>;
RescuerChanged: TypedContractEvent<ethers_contracts.TokenMessenger.RescuerChangedEvent.InputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputObject>;
RescuerChanged(address): TypedContractEvent<ethers_contracts.TokenMessenger.RescuerChangedEvent.InputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputObject>;
}

#### Type declaration

- ##### DepositForBurn: TypedContractEvent<ethers_contracts.TokenMessenger.DepositForBurnEvent.InputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputObject>

- ##### DepositForBurn(uint64,address,uint256,address,bytes32,uint32,bytes32,bytes32): TypedContractEvent<ethers_contracts.TokenMessenger.DepositForBurnEvent.InputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputObject>

- ##### LocalMinterAdded: TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterAddedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputObject>

- ##### LocalMinterAdded(address): TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterAddedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputObject>

- ##### LocalMinterRemoved: TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputObject>

- ##### LocalMinterRemoved(address): TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputObject>

- ##### MintAndWithdraw: TypedContractEvent<ethers_contracts.TokenMessenger.MintAndWithdrawEvent.InputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputObject>

- ##### MintAndWithdraw(address,uint256,address): TypedContractEvent<ethers_contracts.TokenMessenger.MintAndWithdrawEvent.InputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputObject>

- ##### OwnershipTransferStarted: TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputObject>

- ##### OwnershipTransferStarted(address,address): TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputObject>

- ##### OwnershipTransferred: TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferredEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputObject>

- ##### OwnershipTransferred(address,address): TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferredEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputObject>

- ##### RemoteTokenMessengerAdded: TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputObject>

- ##### RemoteTokenMessengerAdded(uint32,bytes32): TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputObject>

- ##### RemoteTokenMessengerRemoved: TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputObject>

- ##### RemoteTokenMessengerRemoved(uint32,bytes32): TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputObject>

- ##### RescuerChanged: TypedContractEvent<ethers_contracts.TokenMessenger.RescuerChangedEvent.InputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputObject>

- ##### RescuerChanged(address): TypedContractEvent<ethers_contracts.TokenMessenger.RescuerChangedEvent.InputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputObject>

Overrides BaseContract.filters

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:660

### handleReceiveMessage

handleReceiveMessage: TypedContractMethod<[remoteDomain: BigNumberish, sender: BytesLike, messageBody: BytesLike], [boolean], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:433

### interface

interface: TokenMessengerInterface

Overrides BaseContract.interface

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:357

### localMessageTransmitter

localMessageTransmitter: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:439

### localMinter

localMinter: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:441

### messageBodyVersion

messageBodyVersion: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:443

### owner

owner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:445

### pendingOwner

pendingOwner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:447

### remoteTokenMessengers

remoteTokenMessengers: TypedContractMethod<[arg0: BigNumberish], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:449

### removeLocalMinter

removeLocalMinter: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:455

### removeRemoteTokenMessenger

removeRemoteTokenMessenger: TypedContractMethod<[domain: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:457

### replaceDepositForBurn

replaceDepositForBurn: TypedContractMethod<[originalMessage: BytesLike, originalAttestation: BytesLike, newDestinationCaller: BytesLike, newMintRecipient: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:463

### rescueERC20

rescueERC20: TypedContractMethod<[tokenContract: AddressLike, to: AddressLike, amount: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:474

### rescuer

rescuer: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:480

### transferOwnership

transferOwnership: TypedContractMethod<[newOwner: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:482

### updateRescuer

updateRescuer: TypedContractMethod<[newRescuer: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:488

## Methods

### connect

- connect(runner?): TokenMessenger

- #### Parameters

  - ##### `Optional` runner: ContractRunner

  #### Returns TokenMessenger

  Overrides BaseContract.connect

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:354

### getEvent

- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.DepositForBurnEvent.InputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputObject>

- #### Parameters

  - ##### key: "DepositForBurn"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.DepositForBurnEvent.InputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputTuple, ethers_contracts.TokenMessenger.DepositForBurnEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:596
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterAddedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputObject>

- #### Parameters

  - ##### key: "LocalMinterAdded"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterAddedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterAddedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:603
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputObject>

- #### Parameters

  - ##### key: "LocalMinterRemoved"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.LocalMinterRemovedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:610
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.MintAndWithdrawEvent.InputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputObject>

- #### Parameters

  - ##### key: "MintAndWithdraw"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.MintAndWithdrawEvent.InputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputTuple, ethers_contracts.TokenMessenger.MintAndWithdrawEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:617
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputObject>

- #### Parameters

  - ##### key: "OwnershipTransferStarted"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferStartedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:624
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferredEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputObject>

- #### Parameters

  - ##### key: "OwnershipTransferred"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.OwnershipTransferredEvent.InputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputTuple, ethers_contracts.TokenMessenger.OwnershipTransferredEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:631
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputObject>

- #### Parameters

  - ##### key: "RemoteTokenMessengerAdded"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerAddedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:638
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputObject>

- #### Parameters

  - ##### key: "RemoteTokenMessengerRemoved"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.InputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputTuple, ethers_contracts.TokenMessenger.RemoteTokenMessengerRemovedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:645
- getEvent(key): TypedContractEvent<ethers_contracts.TokenMessenger.RescuerChangedEvent.InputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputObject>

- #### Parameters

  - ##### key: "RescuerChanged"

  #### Returns TypedContractEvent<ethers_contracts.TokenMessenger.RescuerChangedEvent.InputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputTuple, ethers_contracts.TokenMessenger.RescuerChangedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:652

### getFunction

- getFunction<T>(key): T

- #### Type Parameters

  - #### T extends ContractMethod<any[], any, any> = ContractMethod<any[], any, any>

  #### Parameters

  - ##### key: string | FunctionFragment

  #### Returns T

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:494
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "acceptOwnership"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:498
- getFunction(nameOrSignature): TypedContractMethod<[newLocalMinter: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "addLocalMinter"

  #### Returns TypedContractMethod<[newLocalMinter: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:501
- getFunction(nameOrSignature): TypedContractMethod<[domain: BigNumberish, tokenMessenger: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "addRemoteTokenMessenger"

  #### Returns TypedContractMethod<[domain: BigNumberish, tokenMessenger: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:504
- getFunction(nameOrSignature): TypedContractMethod<[amount: BigNumberish, destinationDomain: BigNumberish, mintRecipient: BytesLike, burnToken: AddressLike], [bigint], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "depositForBurn"

  #### Returns TypedContractMethod<[amount: BigNumberish, destinationDomain: BigNumberish, mintRecipient: BytesLike, burnToken: AddressLike], [bigint], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:511
- getFunction(nameOrSignature): TypedContractMethod<[amount: BigNumberish, destinationDomain: BigNumberish, mintRecipient: BytesLike, burnToken: AddressLike, destinationCaller: BytesLike], [bigint], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "depositForBurnWithCaller"

  #### Returns TypedContractMethod<[amount: BigNumberish, destinationDomain: BigNumberish, mintRecipient: BytesLike, burnToken: AddressLike, destinationCaller: BytesLike], [bigint], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:523
- getFunction(nameOrSignature): TypedContractMethod<[remoteDomain: BigNumberish, sender: BytesLike, messageBody: BytesLike], [boolean], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "handleReceiveMessage"

  #### Returns TypedContractMethod<[remoteDomain: BigNumberish, sender: BytesLike, messageBody: BytesLike], [boolean], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:536
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "localMessageTransmitter"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:543
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "localMinter"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:546
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "messageBodyVersion"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:549
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "owner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:552
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "pendingOwner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:555
- getFunction(nameOrSignature): TypedContractMethod<[arg0: BigNumberish], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "remoteTokenMessengers"

  #### Returns TypedContractMethod<[arg0: BigNumberish], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:558
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "removeLocalMinter"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:561
- getFunction(nameOrSignature): TypedContractMethod<[domain: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "removeRemoteTokenMessenger"

  #### Returns TypedContractMethod<[domain: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:564
- getFunction(nameOrSignature): TypedContractMethod<[originalMessage: BytesLike, originalAttestation: BytesLike, newDestinationCaller: BytesLike, newMintRecipient: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "replaceDepositForBurn"

  #### Returns TypedContractMethod<[originalMessage: BytesLike, originalAttestation: BytesLike, newDestinationCaller: BytesLike, newMintRecipient: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:567
- getFunction(nameOrSignature): TypedContractMethod<[tokenContract: AddressLike, to: AddressLike, amount: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "rescueERC20"

  #### Returns TypedContractMethod<[tokenContract: AddressLike, to: AddressLike, amount: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:579
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "rescuer"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:586
- getFunction(nameOrSignature): TypedContractMethod<[newOwner: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "transferOwnership"

  #### Returns TypedContractMethod<[newOwner: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:589
- getFunction(nameOrSignature): TypedContractMethod<[newRescuer: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateRescuer"

  #### Returns TypedContractMethod<[newRescuer: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:592

### listeners

- listeners<TCEvent>(event): Promise<TypedListener<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  #### Returns Promise<TypedListener<TCEvent>[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:388
- listeners(eventName?): Promise<Listener[]>

- #### Parameters

  - ##### `Optional` eventName: string

  #### Returns Promise<Listener[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:391

### on

- on<TCEvent>(event, listener): Promise<TokenMessenger>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenMessenger>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:370
- on<TCEvent>(filter, listener): Promise<TokenMessenger>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenMessenger>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:374

### once

- once<TCEvent>(event, listener): Promise<TokenMessenger>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenMessenger>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:379
- once<TCEvent>(filter, listener): Promise<TokenMessenger>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<TokenMessenger>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:383

### queryFilter

- queryFilter<TCEvent>(event, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:359
- queryFilter<TCEvent>(filter, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:364

### removeAllListeners

- removeAllListeners<TCEvent>(event?): Promise<TokenMessenger>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### `Optional` event: TCEvent

  #### Returns Promise<TokenMessenger>

  Overrides BaseContract.removeAllListeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:392

### waitForDeployment

- waitForDeployment(): Promise<TokenMessenger>

- #### Returns Promise<TokenMessenger>

  Overrides BaseContract.waitForDeployment

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:355

Generated using TypeDoc